For the complete documentation index, see llms.txt. This page is also available as Markdown.

Menus

Menu objects

Get menus

get
/v1/menus

This operation returns a list of menus.

Authorizations
AuthorizationstringRequired

Bearer HTTP authentication. Allowed headers-- Authorization: Bearer <api_key>

Query parameters
page[size]integer · int32 · min: 1 · max: 1000Optional

The number of resources to return in a single response.

page[before]string · min: 1 · max: 36Optional

Unique identifier.

Pattern: ^[a-zA-Z0-9-]+$
page[after]string · min: 1 · max: 36Optional

Unique identifier.

Pattern: ^[a-zA-Z0-9-]+$
filter[updatedAtGt]any ofOptional

Filters the objects that were updated after a specified datetime.

string · date-time · max: 25Optional

Timestamp in RFC 3339 format.

Example: 2023-10-16T14:30:00Z
or
string · date · max: 10Optional

Date in RFC 3339 format.

Example: 2023-10-16
filter[includeDeleted]booleanOptional

Include all deleted menus in response.

filter[outletsIdIn]string · min: 36 · max: 1024Optional

Comma-separated list of UUIDs (each 36 characters).

Example: 5efa8b3c-b930-4b31-918d-95ab0e212e64,123e4567-e89b-12d3-a456-426614174000Pattern: ^([a-fA-F0-9\-]{36})(,[a-fA-F0-9\-]{36})*$
Responses
200

Successful response with menus data in JSON:API format.

application/vnd.api+json
get/v1/menus
GET /pos/v1/menus HTTP/1.1
Host: api.mews.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "data": [
    {
      "id": "31b14937-2524-491f-b0a0-dc0a7393ff33",
      "type": "menus",
      "attributes": {
        "name": "Menu 1",
        "status": "active",
        "description": "Updated description",
        "createdAt": "2025-01-23T13:01:03.409Z",
        "updatedAt": "2025-01-23T13:01:03.409Z"
      },
      "relationships": {
        "menuSections": {
          "data": [
            {
              "id": "c53372e2-9aa1-452a-8965-2ea3fa514fb2",
              "type": "menuSections"
            }
          ]
        }
      },
      "links": {
        "self": "https://api.mews-demo.com/pos/v1/menus/c2380b6a-900b-4ac0-8c29-7382224a4907"
      }
    }
  ],
  "links": {
    "prev": "https://api.mews-demo.com/pos/v1/menus?page%5Bbefore%5D=NA&page%5Bsize%5D=1",
    "next": "https://api.mews-demo.com/pos/v1/menus?page%5Bafter%5D=NA&page%5Bsize%5D=1"
  }
}

Get Menu Details

get
/v1/menus/{id}

Retrieves details of a specific menu including its menu sections and associated outlets.

Authorizations
AuthorizationstringRequired

Bearer HTTP authentication. Allowed headers-- Authorization: Bearer <api_key>

Path parameters
idstring · uuid · min: 36 · max: 36Required

Universally unique ID UUID.

Example: 2496b6bd-a326-4a5a-95c8-359c943dcee8
Query parameters
Responses
200

Successful response with menu data in JSON:API format, including optional related resources.

application/vnd.api+json
get/v1/menus/{id}
GET /pos/v1/menus/{id} HTTP/1.1
Host: api.mews.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "data": {
    "id": "5efa8b3c-b930-4b31-918d-95ab0e212e64",
    "type": "text",
    "attributes": {
      "name": "Brunch menu.",
      "status": "active",
      "description": "Brunch menu with 3 courses.",
      "deleted": false,
      "createdAt": "2023-10-16T14:30:00Z",
      "updatedAt": "2023-10-19T14:30:00Z",
      "availabilityDays": [
        "Monday",
        "Tuesday",
        "Wednesday"
      ],
      "availabilityStartTime": "09:00",
      "availabilityEndTime": "17:00"
    },
    "relationships": {
      "menuSections": {
        "data": [
          {
            "id": "5efa8b3c-b930-4b31-918d-95ab0e212e64",
            "type": "text"
          }
        ]
      },
      "outlets": {
        "data": [
          {
            "id": "5efa8b3c-b930-4b31-918d-95ab0e212e64",
            "type": "text"
          }
        ]
      }
    },
    "links": {
      "self": "https://api.mews-develop.com/pos/v1/menus/5efa8b3c-b930-4b31-918d-95ab0e212e64"
    }
  },
  "included": [
    {
      "id": "5efa8b3c-b930-4b31-918d-95ab0e212e64",
      "type": "text",
      "attributes": {
        "name": "Starters",
        "position": 5,
        "createdAt": "2024-10-16T13:30:00Z",
        "updatedAt": "2024-10-16T15:30:00Z"
      }
    }
  ]
}

Last updated

Was this helpful?